STR_REPLACE(1)

NAME
str_replace - literal search and replace in files (in place) and in STDIN

SYNOPSIS
str_replace Search Replace File

DESCRIPTION
Non-Regex text search and replace for linux

str_replace will enable you to do literal search and replace in files (in place) and in STDIN

No messing with regular expression anymore. No more sed or awk or perl -pie. This handy script written in perl will replace text exactly as you want, No matter it has the so-called special characters or not. Just like str_replace PHP function.

RETURN VALUES
0 ok.

1 syntax error.

2 if file not found.

EXAMPLE
To read input from STDIN and write to STDOUT.

STDIN | str_replace Search Replace

NOTES

•   Search and replace always case-sensitive

•   Always do global Search and replace

•   Don't care about lines.

•   It may work in Windows as well.

•   tested with unicode (I surprised it worked correctly!)

AUTHOR
This man page has been compiled and modified by Patrick Schleizer (adrelanos@whonix.org) based contains contents from https://github.com/Samer-Al-iraqi/Linux-str_replace/blob/master/README.md Copyright: Copyright (c) 2016 Samer-Al-iraqi License: MIT License